Can't install : 404 Not Found


#1

Hello,

I can’t install cerbot on my Debian 7/ Apache server. It can’t find the packages needed.

Can you help me please ?

 # ./certbot-auto
Bootstrapping dependencies for Debian-based OSes...
Atteint http://apt.izzysoft.de generic Release.gpg
Ign http://apt.izzysoft.de/ubuntu/ generic/universe Translation-en
Ign http://apt.izzysoft.de/ubuntu/ generic/universe Translation-fr
Atteint http://apt.izzysoft.de generic Release
Ign http://apt.izzysoft.de generic/universe i386 Packages
Ign http://apt.izzysoft.de generic/universe i386 Packages
Atteint http://apt.izzysoft.de generic/universe i386 Packages
Atteint http://hwraid.le-vert.net squeeze Release.gpg
Ign http://hwraid.le-vert.net/debian/ squeeze/main Translation-en
Ign http://ftp.fr.debian.org squeeze Release.gpg
Ign http://ftp.fr.debian.org/debian/ squeeze/contrib Translation-en
Ign http://ftp.fr.debian.org/debian/ squeeze/contrib Translation-fr
Ign http://ftp.fr.debian.org/debian/ squeeze/main Translation-en
Ign http://hwraid.le-vert.net/debian/ squeeze/main Translation-fr
Atteint http://dl.google.com stable Release.gpg
Atteint http://hwraid.le-vert.net squeeze Release
Ign http://ftp.fr.debian.org/debian/ squeeze/main Translation-fr
Ign http://ftp.fr.debian.org/debian/ squeeze/non-free Translation-en
Ign http://ftp.fr.debian.org/debian/ squeeze/non-free Translation-fr
Ign http://ftp.fr.debian.org squeeze-updates Release.gpg
Ign http://ftp.fr.debian.org/debian/ squeeze-updates/contrib Translation-en
Ign http://ftp.fr.debian.org/debian/ squeeze-updates/contrib Translation-fr
Ign http://ftp.fr.debian.org/debian/ squeeze-updates/main Translation-en
Ign http://dl.google.com/linux/mod-pagespeed/deb/ stable/main Translation-en
Ign http://hwraid.le-vert.net squeeze/main i386 Packages
Ign http://hwraid.le-vert.net squeeze/main i386 Packages
Atteint http://hwraid.le-vert.net squeeze/main i386 Packages
Ign http://ftp.fr.debian.org/debian/ squeeze-updates/main Translation-fr
Ign http://ftp.fr.debian.org/debian/ squeeze-updates/non-free Translation-en
Ign http://dl.google.com/linux/mod-pagespeed/deb/ stable/main Translation-fr
Ign http://ftp.fr.debian.org/debian/ squeeze-updates/non-free Translation-fr
Ign http://ftp.fr.debian.org squeeze Release
Ign http://ftp.fr.debian.org squeeze-updates Release
Ign http://ftp.fr.debian.org squeeze/main Sources/DiffIndex
Ign http://ftp.fr.debian.org squeeze/contrib Sources/DiffIndex
Ign http://ftp.fr.debian.org squeeze/non-free Sources/DiffIndex
Atteint http://dl.google.com stable Release
Ign http://ftp.fr.debian.org squeeze/main i386 Packages/DiffIndex
Ign http://ftp.fr.debian.org squeeze/contrib i386 Packages/DiffIndex
Ign http://ftp.fr.debian.org squeeze/non-free i386 Packages/DiffIndex
Ign http://ftp.fr.debian.org squeeze-updates/main i386 Packages/DiffIndex
Ign http://ftp.fr.debian.org squeeze-updates/contrib i386 Packages/DiffIndex
Ign http://ftp.fr.debian.org squeeze-updates/non-free i386 Packages/DiffIndex
Atteint http://dl.google.com stable/main i386 Packages
Ign http://ftp.fr.debian.org squeeze/main Sources
Ign http://ftp.fr.debian.org squeeze/contrib Sources
Ign http://ftp.fr.debian.org squeeze/non-free Sources
Ign http://ftp.fr.debian.org squeeze/main i386 Packages
Ign http://ftp.fr.debian.org squeeze/contrib i386 Packages
Ign http://ftp.fr.debian.org squeeze/non-free i386 Packages
Ign http://ftp.fr.debian.org squeeze-updates/main i386 Packages
Ign http://ftp.fr.debian.org squeeze-updates/contrib i386 Packages
Ign http://ftp.fr.debian.org squeeze-updates/non-free i386 Packages
Ign http://ftp.fr.debian.org squeeze/main Sources
Ign http://ftp.fr.debian.org squeeze/contrib Sources
Ign http://ftp.fr.debian.org squeeze/non-free Sources
Ign http://ftp.fr.debian.org squeeze/main i386 Packages
Ign http://ftp.fr.debian.org squeeze/contrib i386 Packages
Ign http://ftp.fr.debian.org squeeze/non-free i386 Packages
Ign http://ftp.fr.debian.org squeeze-updates/main i386 Packages
Ign http://ftp.fr.debian.org squeeze-updates/contrib i386 Packages
Ign http://ftp.fr.debian.org squeeze-updates/non-free i386 Packages
Err http://ftp.fr.debian.org squeeze/main Sources
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org squeeze/contrib Sources
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org squeeze/non-free Sources
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org squeeze/main i386 Packages
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org squeeze/contrib i386 Packages
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org squeeze/non-free i386 Packages
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org squeeze-updates/main i386 Packages
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org squeeze-updates/contrib i386 Packages
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org squeeze-updates/non-free i386 Packages
  404  Not Found [IP : 212.27.32.66 80]
Atteint http://security.debian.org squeeze/updates Release.gpg
Ign http://security.debian.org/ squeeze/updates/contrib Translation-en
Ign http://security.debian.org/ squeeze/updates/contrib Translation-fr
Ign http://security.debian.org/ squeeze/updates/main Translation-en
Ign http://security.debian.org/ squeeze/updates/main Translation-fr
Ign http://security.debian.org/ squeeze/updates/non-free Translation-en
Ign http://security.debian.org/ squeeze/updates/non-free Translation-fr
Atteint http://security.debian.org squeeze/updates Release
Atteint http://security.debian.org squeeze/updates/main Sources
Atteint http://security.debian.org squeeze/updates/contrib Sources
Atteint http://security.debian.org squeeze/updates/non-free Sources
Atteint http://security.debian.org squeeze/updates/main i386 Packages
Atteint http://security.debian.org squeeze/updates/contrib i386 Packages
Atteint http://security.debian.org squeeze/updates/non-free i386 Packages
W: Aucune clé publique n'est disponible pour la/les clé(s) suivante(s) :
1397BC53640DB551
W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze/main/source/Sources.gz  404  Not Found [IP : 212.27.32.66 80]

W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze/contrib/source/Sources.gz  404  Not Found [IP : 212.27.32.66 80]

W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze/non-free/source/Sources.gz  404  Not Found [IP : 212.27.32.66 80]

W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze/main/binary-i386/Packages.gz  404  Not Found [IP : 212.27.32.66 80]

W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze/contrib/binary-i386/Packages.gz  404  Not Found [IP : 212.27.32.66 80]

W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze/non-free/binary-i386/Packages.gz  404  Not Found [IP : 212.27.32.66 80]

W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze-updates/main/binary-i386/Packages.gz  404  Not Found [IP : 212.27.32.66 80]

W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze-updates/contrib/binary-i386/Packages.gz  404  Not Found [IP : 212.27.32.66 80]

W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/squeeze-updates/non-free/binary-i386/Packages.gz  404  Not Found [IP : 212.27.32.66 80]

E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
apt-get update hit problems but continuing anyway...
No LSB modules are available.
No LSB modules are available.
No libaugeas0 version is available that's new enough to run the
Certbot apache plugin...
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
ca-certificates est déjà la plus récente version disponible.
ca-certificates passé en « installé manuellement ».
gcc est déjà la plus récente version disponible.
libssl-dev est déjà la plus récente version disponible.
openssl est déjà la plus récente version disponible.
python est déjà la plus récente version disponible.
Les paquets supplémentaires suivants seront installés :
  libffi5 python-pkg-resources python-setuptools python2.6-dev
Paquets suggérés :
  augeas-tools python-distribute python-distribute-doc
Paquets recommandés :
  python-pip
Les NOUVEAUX paquets suivants seront installés :
  augeas-lenses libaugeas0 libffi-dev libffi5 python-dev python-pkg-resources python-setuptools python-virtualenv python2.6-dev
0 mis à jour, 9 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 6 566 ko dans les archives.
Après cette opération, 15,9 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? o
ATTENTION : les paquets suivants n'ont pas été authentifiés.
  augeas-lenses libaugeas0 libffi5 libffi-dev python2.6-dev python-dev python-pkg-resources python-setuptools python-virtualenv
Faut-il installer ces paquets sans vérification (o/N) ? o
Err http://ftp.fr.debian.org/debian/ squeeze/main augeas-lenses all 0.7.2-1
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org/debian/ squeeze/main libaugeas0 i386 0.7.2-1
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org/debian/ squeeze/main libffi5 i386 3.0.9-3
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org/debian/ squeeze/main libffi-dev i386 3.0.9-3
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org/debian/ squeeze/main python2.6-dev i386 2.6.6-8+b1
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org/debian/ squeeze/main python-dev all 2.6.6-3+squeeze7
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org/debian/ squeeze/main python-pkg-resources all 0.6.14-4
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org/debian/ squeeze/main python-setuptools all 0.6.14-4
  404  Not Found [IP : 212.27.32.66 80]
Err http://ftp.fr.debian.org/debian/ squeeze/main python-virtualenv all 1.4.9-3squeeze1
  404  Not Found [IP : 212.27.32.66 80]
Impossible de récupérer http://ftp.fr.debian.org/debian/pool/main/a/augeas/augeas-lenses_0.7.2-1_all.deb  404  Not Found [IP : 212.27.32.66 80]
Impossible de récupérer http://ftp.fr.debian.org/debian/pool/main/a/augeas/libaugeas0_0.7.2-1_i386.deb  404  Not Found [IP : 212.27.32.66 80]
Impossible de récupérer http://ftp.fr.debian.org/debian/pool/main/libf/libffi/libffi5_3.0.9-3_i386.deb  404  Not Found [IP : 212.27.32.66 80]
Impossible de récupérer http://ftp.fr.debian.org/debian/pool/main/libf/libffi/libffi-dev_3.0.9-3_i386.deb  404  Not Found [IP : 212.27.32.66 80]
Impossible de récupérer http://ftp.fr.debian.org/debian/pool/main/p/python2.6/python2.6-dev_2.6.6-8+b1_i386.deb  404  Not Found [IP : 212.27.32.66 80]
Impossible de récupérer http://ftp.fr.debian.org/debian/pool/main/p/python-defaults/python-dev_2.6.6-3+squeeze7_all.deb  404  Not Found [IP : 212.27.32.66 80]
Impossible de récupérer http://ftp.fr.debian.org/debian/pool/main/d/distribute/python-pkg-resources_0.6.14-4_all.deb  404  Not Found [IP : 212.27.32.66 80]
Impossible de récupérer http://ftp.fr.debian.org/debian/pool/main/d/distribute/python-setuptools_0.6.14-4_all.deb  404  Not Found [IP : 212.27.32.66 80]
Impossible de récupérer http://ftp.fr.debian.org/debian/pool/main/p/python-virtualenv/python-virtualenv_1.4.9-3squeeze1_all.deb  404  Not Found [IP : 212.27.32.66 80]
E: Impossible de récupérer quelques archives, peut-être devrez-vous lancer apt-get update ou essayer avec --fix-missing ?

Plesk 12.5 [Debian 6.0.10] installation error
#2

Your /etc/apt/sources.list is for Debian 6, which has been unsupported for almost a year, and has apparently been removed from the primary repository servers.

Either you’re running Debian 7 and need to change “squeeze” to “jessie” in your apt configuration, or you’re running Debian 6 and you really, really need to upgrade.


#3

You are right. I’m using Debian 6. I have so many things on my server that I’m afraid to upgrade…


#4

From a security viewpoint I’d agree with upgrading :wink: If you really don’t want to upgrade, then some of the alternative clients have less dependencies than certbot, so may work on the older server.


#5

Great ! I will upgrade Debian later in 2017 I think.

Now I’m trying to choose between acmetool and acme-tiny, as I’d like to be very simple to install and use.

Which one do you recommend me ?

Thank you.


#6

I’ve only used one of those, but either should work. Alternatively the bash script ones should work well for you on your setup.


#7

Thank you. I think I will use GetSSL.


#8

I have this error :

./getssl mydomain.com
mydomain.com: Certificate on remote domain does not match, ignoring remote certificate
creating account key /root/.getssl/account.key
creating key - /root/.getssl/account.key
Generating RSA private key, 4096 bit long modulus
.........................................................................................................++
...........................++
e is 65537 (0x10001)
creating key - /root/.getssl/mydomain.com/mydomain.com.key
Generating RSA private key, 4096 bit long modulus
..............................++
..........................++
e is 65537 (0x10001)
creating domain csr - /root/.getssl/mydomain.com/mydomain.com.csr
Registering account
getssl: Error registering account ...  "DNS problem

#9

My fault, the email address entered was not correct.


#10

Ok it works now.

Thank you and have a nice day !


#11

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.